Package org.eclipse.emf.cdo.etypes

# Interface EtypesFactory

All Superinterfaces:
  `EFactory`, `EModelElement`, `EObject`, `Notifier`

All Known Implementing Classes:
  `EtypesFactoryImpl`

public interface EtypesFactory extends EFactory
The Factory for the Etypes model. It provides a create method for each non-abstract class of the model.

Since:
  4.0
See Also:
  - `EtypesPackage`
Generated
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final EtypesFactory`
`eINSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`Annotation`
`createAnnotation()`
Returns a new object of class 'Annotation'.
`Annotation`
`createAnnotation(String source)`
`EtypesPackage`
`getEtypesPackage()`
Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eINSTANCE

static final EtypesFactory eINSTANCE
The singleton instance of the factory.

Generated

## Method Details

### createAnnotation

Annotation createAnnotation()
Returns a new object of class 'Annotation'.

Returns:
  a new object of class 'Annotation'.
Generated

### createAnnotation

Annotation createAnnotation(String source)

Since:
  4.22
Added

### getEtypesPackage

EtypesPackage getEtypesPackage()
Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated